読者です 読者をやめる 読者になる 読者になる

mikutter blog

mikutterのアナウンスなど

ubuntu 10.04で、mikutterをruby1.9.1で動かす方法

ubuntu10.04で動かすのは実は結構お手軽。ただし、ruby-gnome2の1.9.1用のは用意されていないので、自分でビルドする必要がある。他のubuntuでは通用しない方法です(後述

$ sudo apt-get install checkinstall ruby1.9.1-dev
$ sudo apt-get build-dep ruby-gnome2
$ sudo apt-get install rubygems1.9.1 libopenssl-ruby1.9.1
$ sudo gem1.9.1 install pkg-config
$ sudo gem1.9.1 install ruby-hmac
$ wget -O - http://jaist.dl.sourceforge.net/project/ruby-gnome2/ruby-gnome2/ruby-gnome2-0.90.5/ruby-gtk2-0.90.5.tar.gz | tar zx
$ cd ruby-gtk2-0.90.5/
$ ruby1.9.1 extconf.rb
$ make
$ sudo checkinstall
$ cd ..
$ svn co svn://toshia.dip.jp/mikutter/trunk mikutter
$ cd mikutter
$ ruby1.9.1 mikutter.rb

こんなかんじだったとおもう(最小構成)。ruby-gtk2のビルドのためにruby-devいれたり、hmacの1.9.1用のがaptで用意されていないから本来必要ないgemを入れたりとなかなか。

1.9にしたら相当早くなるし、メモリもぜんぜん食わない(当社比)。ので結構おすすめ。起動も3倍早くなりますし

ただ、まだ1.9のほうは1.8に比べたら落ちることがあるみたいなのでそこはご容赦。だけどいままで重くて使えないと言っていた人でも、これなら使える!という人が出てくるんじゃないかな。

10.10入れたマシンもってないんだけど、まあ上手く動かないと。後述とか書いたけどごめんもってないからわからない
情報募集中です

追記
10.10専用スクリプト
http://twitter.com/Phenomer/status/33189686042165248
いけるらしい(未確認)